c     Copyright (C)
c     2000 -2013 Universite Paul Sabatier,
c     2000 -2013 Centre National de la Recherche Scientifique
c     2000 -2013 Ecole des Mines d'Albi
c     2014-2018 Msostar
c
c     This program is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 2, or (at your option)
c     any later version.

c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with this program; if not, write to the Free Software
c     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
c     USA.
c
      subroutine get_nlines(kfile,nl)
      implicit none

      integer strlen,nl,ios
      character*100 kfile
      character*200 command

      open(10,file=kfile(1:strlen(kfile))
     &     ,status='old',iostat=ios)
      if (ios.ne.0) then        ! file not found
         nl=0
         goto 123
      endif

c     Number of lines in the specified data file
      command="wc -l < "//kfile(1:strlen(kfile))//" > ./nlines"
      call system(command(1:strlen(command)))

      open(10,file='nlines')
      read(10,*) nl
      close(10)

 123  continue

      return
      end
