c     Copyright (C)
c     2000 -2013 Universite Paul Sabatier,
c     2000 -2013 Centre National de la Recherche Scientifique
c     2000 -2013 Ecole des Mines d'Albi
c     2014-2018 Msostar
c
c     This program is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 2, or (at your option)
c     any later version.

c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with this program; if not, write to the Free Software
c     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
c     USA.
c
      subroutine read_options()

      include 'max.inc'
      include 'data.inc'
      include 'options.inc'
      integer ios

      if (raz.eq.1) then
         open(11,file='temporary/options.sav')
         read(11,*) cmc
         read(11,*) rmh
         read(11,*) ga0
         read(11,*) mco
         read(11,*) ces
         read(11,*) cpm
         read(11,*) udif
         read(11,*) tirpp
         read(11,*) lambertp
         read(11,*) isop
         read(11,*) ref
         read(11,*) tirpg
         read(11,*) lambertg
         read(11,*) isog
         read(11,*) pao
         read(11,*) fph
         read(11,*) cpb
         read(11,*) atd
         read(11,*) ate
         read(11,*) apc
         read(11,*) amsg
         read(11,*) srf
         read(11,*) scc
         read(11,*) n_test
         read(11,*) rg
         read(11,*) calc_dNERdTp
         read(11,*) s_dksidT
         read(11,*) s_sumdNERdT
         read(11,*) s_ACDEF
         read(11,*) calc_dNERdx
         read(11,*) s_dNERdx
         read(11,*) s_dksidx
         close(11)
         mco=3 ! Faut aussi reprendre le pdf prcdent bien entendu
         goto 1234
      endif
      
      open(11,FILE='options.in',status='old',iostat=ios)
      if (ios.ne.0) then ! file not found
         call screen(1149,0,0,0.0D+0,0.0D+0)
         call screen(15,0,0,0.0D+0,0.0D+0)
         stop
      endif
      do i=1,6
         read(11,*)
      enddo
      read(11,*) tirpp
      read(11,*) 
      read(11,*) lambertp
      read(11,*) 
      read(11,*) isop
      read(11,*) 
      read(11,*) ref
      read(11,*) 
      read(11,*) tirpg
      read(11,*) 
      read(11,*) lambertg
      read(11,*) 
      read(11,*) isog
      read(11,*) 
      read(11,*) pao
      read(11,*) 
      read(11,*) 
      read(11,*) 
      read(11,*) ate
      read(11,*) 
      read(11,*) fph
      read(11,*) 
      read(11,*) atd
      read(11,*) 
      read(11,*) 
      read(11,*) 
      read(11,*) ces
      read(11,*) 
      read(11,*) cpm
      read(11,*) 
      read(11,*) udif
      read(11,*) 
      read(11,*) cpb
      read(11,*) 
      read(11,*) mco
      read(11,*) 
      read(11,*) 
      read(11,*) 
      read(11,*) rmh
      read(11,*) 
      read(11,*) ga0
      do i=1,4
         read(11,*)
      enddo
      read(11,*) cmc
      read(11,*) 
      read(11,*) apc
      read(11,*) 
      read(11,*) amsg
      read(11,*) 
      read(11,*) srf
      read(11,*) 
      read(11,*) scc
      read(11,*) 
      read(11,*) rcp
      read(11,*) 
      read(11,*) n_test
      read(11,*) 
      read(11,*) rg
      do i=1,4
         read(11,*)
      enddo
      read(11,*) calc_dNERdTp
      read(11,*)
      read(11,*) s_dksidT
      read(11,*)
      read(11,*) s_sumdNERdT
      read(11,*)
      read(11,*) s_ACDEF
      read(11,*)
      read(11,*) calc_dNERdx
      read(11,*)
      read(11,*) s_dNERdx
      read(11,*)
      read(11,*) s_dksidx
      close(11)

      open(11,file='temporary/options.sav')
      write(11,*) cmc
      write(11,*) rmh
      write(11,*) ga0
      write(11,*) mco
      write(11,*) ces
      write(11,*) cpm
      write(11,*) udif
      write(11,*) tirpp
      write(11,*) lambertp
      write(11,*) isop
      write(11,*) ref
      write(11,*) tirpg
      write(11,*) lambertg
      write(11,*) isog
      write(11,*) pao
      write(11,*) fph
      write(11,*) cpb
      write(11,*) atd
      write(11,*) ate
      write(11,*) apc
      write(11,*) amsg
      write(11,*) srf
      write(11,*) scc
      write(11,*) n_test
      write(11,*) rg
      write(11,*) calc_dNERdTp
      write(11,*) s_dksidT
      write(11,*) s_sumdNERdT
      write(11,*) s_ACDEF
      write(11,*) calc_dNERdx
      write(11,*) s_dNERdx
      write(11,*) s_dksidx
      close(11)

 1234 continue

c     Dans le cas o on choisit d'utiliser le gnrateur pseudo-altaoire
c     numro 2 (zufall), il faut l'initialiser
      if (rg.eq.2) then
         if (seed0.le.0) then
            seed0=1234
         endif
         call  zufalli(seed0)
      endif

      return
      end
