c     Copyright (C)
c     2000 -2013 Universite Paul Sabatier,
c     2000 -2013 Centre National de la Recherche Scientifique
c     2000 -2013 Ecole des Mines d'Albi
c     2014-2018 Msostar
c
c     This program is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 2, or (at your option)
c     any later version.

c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with this program; if not, write to the Free Software
c     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
c     USA.
c
      subroutine read_data()
      
      implicit none
      include 'max.inc'
      include 'data.inc'
      include 'files_in.inc'
      include 'files_out.inc'
      character*200 dt_dir,res_dir
      integer strlen,ios,lstin
 12   format(a)


      if (raz.eq.1) then
         open(11,file='./temporary/data.sav')
         read(11,*) ang_tir_wall
         read(11,*) ang_tir_gaz
         read(11,*) l_min
         read(11,*) l_max
         read(11,*) l_max
         read(11,*) eps_pne
         read(11,*) eps_flux
         read(11,*) eps_fnet
         read(11,*) Nsec
         read(11,*) Ndiff
         read(11,*) n_tir
         read(11,*) file_ray
         read(11,*) file_phase
         read(11,*) file_meshGCM
         read(11,*) file_dkadT
         read(11,*) file_dkadx
         read(11,*) file_pne
         read(11,*) file_pnesym
         read(11,*) file_tsource
         read(11,*) file_flux_ascendants
         read(11,*) file_flux_descendants
         read(11,*) file_flux_ascendants_totaux
         read(11,*) file_flux_descendants_totaux
         read(11,*) file_flux_totaux
         read(11,*) file_pdf_lambda
         read(11,*) file_bil_freq
         read(11,*) file_inc_bil_freq
         read(11,*) file_bil_freq_gg
         read(11,*) file_inc_bil_freq_gg
         read(11,*) file_bil_freq_gp
         read(11,*) file_inc_bil_freq_gp
         read(11,*) file_bil_freq_gs
         read(11,*) file_inc_bil_freq_gs
         read(11,*) file_bil_freq_ge
         read(11,*) file_inc_bil_freq_ge
         read(11,*) file_fa_freq
         read(11,*) file_inc_fa_freq
         read(11,*) file_fd_freq
         read(11,*) file_inc_fd_freq
         read(11,*) file_diff
         read(11,*) file_bil_freq_theo
         read(11,*) file_bil_freq_gg_theo
         read(11,*) file_bil_freq_gp_theo
         read(11,*) file_bil_freq_gs_theo
         read(11,*) file_bil_freq_ge_theo
         read(11,*) file_bil_theo
         read(11,*) file_pne_theo
         read(11,*) file_CR
         read(11,*) file_CR_theo
         read(11,*) file_pne_mono
         read(11,*) file_interp
         read(11,*) file_freq_opti
         read(11,'(a)') path_sens
         close(11)
         call read_seed0()
         goto 1234
      endif

      open(10,file='data.in',status='old',iostat=ios)
      if (ios.ne.0) then ! file not found
         call screen(1148,0,0,0.0D+0,0.0D+0)
         call screen(15,0,0,0.0D+0,0.0D+0)
         stop
      endif
      read(10,*)
      read(10,*)
      read(10,*)
      read(10,*)
      read(10,*)
      read(10,*)
      read(10,*) ang_tir_wall
      read(10,*)
      read(10,*) ang_tir_gaz
      read(10,*)
      read(10,*) l_min
      read(10,*)
      read(10,*) l_max
      read(10,*)
      read(10,*) eps_pne
      read(10,*)
      read(10,*) eps_flux
      read(10,*)
      read(10,*) eps_fnet
      read(10,*)
      read(10,*) Nsec
      read(10,*)
      read(10,*) Ndiff
      read(10,*)
      read(10,*) n_tir
      read(10,*)
      read(10,*)
      read(10,*)
      read(10,*)
      read(10,*) file_ray
      read(10,*)
      read(10,*) file_phase
      read(10,*)
      read(10,*) file_meshGCM
      read(10,*)
      read(10,*) file_dkadT
      read(10,*)
      read(10,*) file_dkadx
      read(10,*)
      read(10,*)
      read(10,*)
      read(10,*)
      read(10,*) file_freq_opti
      read(10,*)
      read(10,*) file_interp
      read(10,*)
      read(10,'(a)') path_sens
      read(10,*)
      read(10,*)
      read(10,*)
      read(10,*)
      read(10,*) file_pne
      read(10,*)
      read(10,*) file_pnesym
      read(10,*)
      read(10,*) file_tsource
      read(10,*)
      read(10,*) file_flux_ascendants
      read(10,*)
      read(10,*) file_flux_descendants
      read(10,*)
      read(10,*) file_flux_ascendants_totaux
      read(10,*)
      read(10,*) file_flux_descendants_totaux
      read(10,*)
      read(10,*) file_flux_totaux
      read(10,*)
      read(10,*) file_pdf_lambda
      read(10,*)
      read(10,*) file_bil_freq
      read(10,*)
      read(10,*) file_inc_bil_freq
      read(10,*)
      read(10,*) file_bil_freq_gg
      read(10,*)
      read(10,*) file_inc_bil_freq_gg
      read(10,*)
      read(10,*) file_bil_freq_gp
      read(10,*)
      read(10,*) file_inc_bil_freq_gp
      read(10,*)
      read(10,*) file_bil_freq_gs
      read(10,*)
      read(10,*) file_inc_bil_freq_gs
      read(10,*)
      read(10,*) file_bil_freq_ge
      read(10,*)
      read(10,*) file_inc_bil_freq_ge
      read(10,*)
      read(10,*) file_fa_freq
      read(10,*)
      read(10,*) file_inc_fa_freq
      read(10,*)
      read(10,*) file_fd_freq
      read(10,*)
      read(10,*) file_inc_fd_freq
      read(10,*)
      read(10,*) file_diff
      read(10,*)
      read(10,*) file_bil_freq_theo
      read(10,*)
      read(10,*) file_bil_freq_gg_theo
      read(10,*)
      read(10,*) file_bil_freq_gp_theo
      read(10,*)
      read(10,*) file_bil_freq_gs_theo
      read(10,*)
      read(10,*) file_bil_freq_ge_theo
      read(10,*)
      read(10,*) file_bil_theo
      read(10,*)
      read(10,*) file_pne_theo
      read(10,*)
      read(10,*) file_CR
      read(10,*)
      read(10,*) file_CR_theo
      read(10,*)
      read(10,*) file_pne_mono
      close(10)

      open(10,file='./config/data_dir')
      read(10,12) dt_dir
      close(10)

      call set_file(dt_dir,file_ray)
      call set_file(dt_dir,file_phase)
      call set_file(dt_dir,file_meshGCM)
      call set_file(dt_dir,file_dkadT)
      call set_file(dt_dir,file_dkadx)
      call set_file(dt_dir,file_freq_opti)
      call set_file(dt_dir,file_interp)
      
      open(10,file='./config/results_dir')
      read(10,12) res_dir
      close(10)

      call set_file(res_dir,file_pne)
      call set_file(res_dir,file_pnesym)
      call set_file(res_dir,file_tsource)
      call set_file(res_dir,file_flux_ascendants)
      call set_file(res_dir,file_flux_descendants)
      call set_file(res_dir,file_flux_ascendants_totaux)
      call set_file(res_dir,file_flux_descendants_totaux)
      call set_file(res_dir,file_flux_totaux)
      call set_file(res_dir,file_pdf_lambda)
      call set_file(res_dir,file_bil_freq)
      call set_file(res_dir,file_inc_bil_freq)
      call set_file(res_dir,file_bil_freq_gg)
      call set_file(res_dir,file_inc_bil_freq_gg)
      call set_file(res_dir,file_bil_freq_gp)
      call set_file(res_dir,file_inc_bil_freq_gp)
      call set_file(res_dir,file_bil_freq_gs)
      call set_file(res_dir,file_inc_bil_freq_gs)
      call set_file(res_dir,file_bil_freq_ge)
      call set_file(res_dir,file_inc_bil_freq_ge)
      call set_file(res_dir,file_fa_freq)
      call set_file(res_dir,file_inc_fa_freq)
      call set_file(res_dir,file_fd_freq)
      call set_file(res_dir,file_inc_fd_freq)
      call set_file(res_dir,file_diff)
      call set_file(res_dir,file_bil_freq_theo)
      call set_file(res_dir,file_bil_freq_gg_theo)
      call set_file(res_dir,file_bil_freq_gp_theo)
      call set_file(res_dir,file_bil_freq_gs_theo)
      call set_file(res_dir,file_bil_freq_ge_theo)
      call set_file(res_dir,file_bil_theo)
      call set_file(res_dir,file_pne_theo)
      call set_file(res_dir,file_CR)
      call set_file(res_dir,file_CR_theo)
      call set_file(res_dir,file_pne_mono)

      call read_seed0()

      open(11,file='./temporary/data.sav')
      write(11,*) ang_tir_wall
      write(11,*) ang_tir_gaz
      write(11,*) l_min
      write(11,*) l_max
      write(11,*) l_max
      write(11,*) eps_pne
      write(11,*) eps_flux
      write(11,*) eps_fnet
      write(11,*) Nsec
      write(11,*) Ndiff
      write(11,*) n_tir
      lstin=strlen(file_ray)
      write(11,*) '"'//file_ray(1:lstin)//'"'
      lstin=strlen(file_phase)
      write(11,*) '"'//file_phase(1:lstin)//'"'
      lstin=strlen(file_meshGCM)
      write(11,*) '"'//file_meshGCM(1:lstin)//'"'
      lstin=strlen(file_dkadT)
      write(11,*) '"'//file_dkadT(1:lstin)//'"'
      lstin=strlen(file_dkadx)
      write(11,*) '"'//file_dkadx(1:lstin)//'"'
      lstin=strlen(file_pne)
      write(11,*) '"'//file_pne(1:lstin)//'"'
      lstin=strlen(file_pnesym)
      write(11,*) '"'//file_pnesym(1:lstin)//'"'
      lstin=strlen(file_tsource)
      write(11,*) '"'//file_tsource(1:lstin)//'"'
      lstin=strlen(file_flux_ascendants)
      write(11,*) '"'//file_flux_ascendants(1:lstin)//'"'
      lstin=strlen(file_flux_descendants)
      write(11,*) '"'//file_flux_descendants(1:lstin)//'"'
      lstin=strlen(file_flux_ascendants_totaux)
      write(11,*) '"'//file_flux_ascendants_totaux(1:lstin)//'"'
      lstin=strlen(file_flux_descendants_totaux)
      write(11,*) '"'//file_flux_descendants_totaux(1:lstin)//'"'
      lstin=strlen(file_flux_totaux)
      write(11,*) '"'//file_flux_totaux(1:lstin)//'"'
      lstin=strlen(file_pdf_lambda)
      write(11,*) '"'//file_pdf_lambda(1:lstin)//'"'
      lstin=strlen(file_bil_freq)
      write(11,*) '"'//file_bil_freq(1:lstin)//'"'
      lstin=strlen(file_inc_bil_freq)
      write(11,*) '"'//file_inc_bil_freq(1:lstin)//'"'
      lstin=strlen(file_bil_freq_gg)
      write(11,*) '"'//file_bil_freq_gg(1:lstin)//'"'
      lstin=strlen(file_inc_bil_freq_gg)
      write(11,*) '"'//file_inc_bil_freq_gg(1:lstin)//'"'
      lstin=strlen(file_bil_freq_gp)
      write(11,*) '"'//file_bil_freq_gp(1:lstin)//'"'
      lstin=strlen(file_inc_bil_freq_gp)
      write(11,*) '"'//file_inc_bil_freq_gp(1:lstin)//'"'
      lstin=strlen(file_bil_freq_gs)
      write(11,*) '"'//file_bil_freq_gs(1:lstin)//'"'
      lstin=strlen(file_inc_bil_freq_gs)
      write(11,*) '"'//file_inc_bil_freq_gs(1:lstin)//'"'
      lstin=strlen(file_bil_freq_ge)
      write(11,*) '"'//file_bil_freq_ge(1:lstin)//'"'
      lstin=strlen(file_inc_bil_freq_ge)
      write(11,*) '"'//file_inc_bil_freq_ge(1:lstin)//'"'
      lstin=strlen(file_fa_freq)
      write(11,*) '"'//file_fa_freq(1:lstin)//'"'
      lstin=strlen(file_inc_fa_freq)
      write(11,*) '"'//file_inc_fa_freq(1:lstin)//'"'
      lstin=strlen(file_fd_freq)
      write(11,*) '"'//file_fd_freq(1:lstin)//'"'
      lstin=strlen(file_inc_fd_freq)
      write(11,*) '"'//file_inc_fd_freq(1:lstin)//'"'
      lstin=strlen(file_diff)
      write(11,*) '"'//file_diff(1:lstin)//'"'
      lstin=strlen(file_bil_freq_theo)
      write(11,*) '"'//file_bil_freq_theo(1:lstin)//'"'
      lstin=strlen(file_bil_freq_gg_theo)
      write(11,*) '"'//file_bil_freq_gg_theo(1:lstin)//'"'
      lstin=strlen(file_bil_freq_gp_theo)
      write(11,*) '"'//file_bil_freq_gp_theo(1:lstin)//'"'
      lstin=strlen(file_bil_freq_gs_theo)
      write(11,*) '"'//file_bil_freq_gs_theo(1:lstin)//'"'
      lstin=strlen(file_bil_freq_ge_theo)
      write(11,*) '"'//file_bil_freq_ge_theo(1:lstin)//'"'
      lstin=strlen(file_bil_theo)
      write(11,*) '"'//file_bil_theo(1:lstin)//'"'
      lstin=strlen(file_pne_theo)
      write(11,*) '"'//file_pne_theo(1:lstin)//'"'
      lstin=strlen(file_CR)
      write(11,*) '"'//file_CR(1:lstin)//'"'
      lstin=strlen(file_CR_theo)
      write(11,*) '"'//file_CR_theo(1:lstin)//'"'
      lstin=strlen(file_pne_mono)
      write(11,*) '"'//file_pne_mono(1:lstin)//'"'
      lstin=strlen(file_interp)
      write(11,*) '"'//file_interp(1:lstin)//'"'
      lstin=strlen(file_freq_opti)
      write(11,*) '"'//file_freq_opti(1:lstin)//'"'
      lstin=strlen(path_sens)
      write(11,*) '"'//path_sens(1:lstin)//'"'
      close(11)

 1234 continue
      return
      end
