c     Copyright (C)
c     2000 -2013 Universite Paul Sabatier,
c     2000 -2013 Centre National de la Recherche Scientifique
c     2000 -2013 Ecole des Mines d'Albi
c     2014-2018 Msostar
c
c     This program is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 2, or (at your option)
c     any later version.

c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with this program; if not, write to the Free Software
c     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
c     USA.
c
      subroutine read_dkadT(Nb,Nq)
      implicit none
      include 'max.inc'
      include 'data.inc'
      include 'files_in.inc'
      include 'dkadTp.inc'

      integer band,quad,i,Nb,Nq

      open(11,file=file_dkadT)
      read(11,*) ! m,Nb,Nq
      do i=1,m
         do band=1,Nb
            read(11,'(100e17.9)') (dkadTp(band,quad,i),quad=1,Nq) ! dka(i)/dT(i) for dT(i)>0
         enddo                  ! band
      enddo ! i
      close(11)

      return
      end
